From 25d05d8936e73ed04371b286a008da5866d33958 Mon Sep 17 00:00:00 2001
From: Martin Abente <mabente@paraguayeduca.org>
Date: Thu, 15 Jul 2010 11:43:17 -0400
Subject: [PATCH] Add missing restart button
Organization: Paraguay Educa

---
 src/jarabe/view/buddymenu.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/src/jarabe/view/buddymenu.py b/src/jarabe/view/buddymenu.py
index 4637751..e21b617 100644
--- a/src/jarabe/view/buddymenu.py
+++ b/src/jarabe/view/buddymenu.py
@@ -84,6 +84,11 @@ class BuddyMenu(Palette):
         self.menu.append(item)
         item.show()
 
+        item = MenuItem(_('Restart'), 'system-restart')
+        item.connect('activate', self.__reboot_activate_cb)
+        self.menu.append(item)
+        item.show()
+
         client = gconf.client_get_default()
 
         if client.get_bool('/desktop/sugar/show_logout'):
-- 
1.6.0.4

